Bug 2274746 - Review Request: libschrift- lightweight TrueType font rendering C library [NEEDINFO]
Summary: Review Request: libschrift- lightweight TrueType font rendering C library
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2024-04-12 16:42 UTC by Manish Tiwari
Modified: 2024-06-03 12:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
panemade: fedora-review?
panemade: needinfo? (matiwari)


Attachments (Terms of Use)

Description Manish Tiwari 2024-04-12 16:42:09 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/matiwari/libschrift/fedora-40-x86_64/07297518-libschrift/libschrift.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/matiwari/libschrift/fedora-40-x86_64/07297518-libschrift/libschrift-0.10.2-1.fc40.src.rpm

Description: libschrift is a lightweight TrueType font rendering library that provides a basic font rendering capabilities. It aims for simplicity and efficiency, making it suitable for various embedded and resource-constrained environments.

Fedora Account System Username: matiwari

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=116270624

Comment 1 Parag AN(पराग) 2024-04-20 16:27:39 UTC
It appears you need sponsorship to become Fedora package maintainer.
Get familiar with below information
https://docs.fedoraproject.org/en-US/package-maintainers/Package_Review_Process/
https://docs.fedoraproject.org/en-US/package-maintainers/Packaging_Tutorial_GNU_Hello/

Comment 2 Parag AN(पराग) 2024-04-23 13:18:00 UTC
Below is initial review of just SPEC file inspection and rpmlint output

Issues:
=======
- Header files in -devel subpackage, if present.
  Note: libschrift : /usr/include/schrift.h
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_devel_packages

===> Read https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_header_only_libraries

- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: libschrift. Illegal package name: libschrift.
  Does not provide -static: libschrift.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#packaging-static-libraries
==> This package need to be fixed to generate dynamic library and not static library.

-  You don't need to write below line in SPEC
ExclusiveArch:	x86_64 aarch64 ppc64le s390x
Package should be building on all arch unless known for specific reason

- %description text should be aligned to 80 characters per line

- You should write actual version and release values and not macros 
* Mon Mar 25 2024 Manish Tiwari <matiwari> - %{version}-%{release}
change to
* Mon Mar 25 2024 Manish Tiwari <matiwari> - 0.10.2-1


-  Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/man, /usr/include,
     /usr/share/doc, /usr/share/licenses, /usr/share, /usr/lib, /usr
==> Your package should own the directories in which this package is installing files.


Rpmlint
-------
Checking: libschrift-0.10.2-1.fc41.x86_64.rpm
          libschrift-0.10.2-1.fc41.src.rpm
============================ rpmlint session starts ============================
libschrift.x86_64: E: static-library-without-debuginfo /usr/lib/libschrift.a
libschrift.x86_64: E: standard-dir-owned-by-package /usr/share/man/man3
libschrift.spec:9: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 9)
libschrift.spec:49: W: macro-in-%changelog %{version}
libschrift.spec:49: W: macro-in-%changelog %{release}
libschrift.x86_64: W: devel-file-in-non-devel-package /usr/include/schrift.h
libschrift.x86_64: W: devel-file-in-non-devel-package /usr/lib/libschrift.a
libschrift.src: E: description-line-too-long libschrift is a lightweight TrueType font rendering library that provides basic font rendering capabilities. It aims for simplicity and efficiency, making it suitable for various embedded and resource-constrained environments.
libschrift.x86_64: E: description-line-too-long libschrift is a lightweight TrueType font rendering library that provides basic font rendering capabilities. It aims for simplicity and efficiency, making it suitable for various embedded and resource-constrained environments.
 2 packages and 0 specfiles checked; 4 errors, 5 warnings, 9 filtered, 4 badness; has taken 0.2 s 


Fix above issues and submit new SRPM and SPEC by updating release to 2 and adding changelog about changes done in SPEC file

Comment 3 Parag AN(पराग) 2024-05-10 09:13:26 UTC
Any update here Manish?
Can you also start doing un-official package reviews of other contributor's submissions? Check that list https://fedoraproject.org/PackageReviewStatus/reviewable.html


Note You need to log in before you can comment on or make changes to this bug.